> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import YouTube playlist/channel

> Import a YouTube playlist or channel for bulk AI content analysis



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /youtube-source/batch
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /youtube-source/batch:
    post:
      tags:
        - AI content
      summary: Import YouTube playlist/channel
      description: Import a YouTube playlist or channel for bulk AI content analysis
      operationId: ImportBatch
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImportYouTubeBatchDto'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                  batchId:
                    type: string
                required:
                  - status
                  - batchId
                type: object
      security:
        - jwt: []
components:
  schemas:
    ImportYouTubeBatchDto:
      properties:
        url:
          type: string
      required:
        - url
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````